package proxyinvoker;

import java.lang.reflect.Proxy;


/**
 * 
 * @author Antonio Kantek
 */
public class Client {

	public static void main(String[] args) throws Exception {
		InvokerStub stub = new InvokerStub(args[0], Integer.parseInt(args[1]));
		InvokerHandler handler = new InvokerHandler( "Antonio", stub );
		Person person = (Person)Proxy.newProxyInstance(Client.class.getClassLoader(), new Class[]{Person.class},handler);
		System.out.println("Nome da pessoa:" + person.getName() );
		
		handler = new InvokerHandler("Corporation", stub);
		Corporation corp = (Corporation)Proxy.newProxyInstance(Client.class.getClassLoader(), new Class[]{Corporation.class}, handler);
		System.out.println("cnpj da empresa: " + corp.getCnpj());
		
	}

}
