package proxyinvoker;

import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.rmi.RemoteException;
import java.util.HashMap;
import java.util.Map;

/**
 * 
 * @author Antonio Kantek
 */
public class InvokerImp implements Invoker {
	
	/**
	 * @see proxyinvoker.Invoker#invoke(Invocation)
	 */
	public Object invoke(Invocation inv) {
		try {
			System.out.println("Executando um Invocation");
			Object obj = Server.objects.get(inv.objectName);
			System.out.println("Object name:"+inv.objectName);
			System.out.println("Objects: "+Server.objects);
			Method m = obj.getClass().getMethod(inv.methodName, inv.paramsTypes);
			return m.invoke( obj, inv.params );
		} catch (Exception ex) {
			ex.printStackTrace();
			throw new RuntimeException(ex.getMessage());
		}		
	}
}
